# Access

## Base definition

```javascript
{
    "kind": "access",
    "accessLevel": "none"|"overview"|"metadata"|"sample"|"data"|"edit",
    "dataset": {
      ...dataset.base // See dataset resource definition
    },
    "user": {
      ...user.base // See user resource definition
    } 
}
```

## Documentation

| Fields      | Description                                                                                                                                                                                               |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| kind        | <p><strong>string</strong></p><p>The resource type. Will always be "access".</p>                                                                                                                          |
| accessLevel | <p><strong>string</strong><br>The access level. Will be one of <code>none</code>, <code>overview</code>, <code>metadata</code>, <code>sample</code>, <code>data</code>, <code>edit</code></p>             |
| user        | <p><strong>object</strong><br>The user for whom this access maps to. Will contain the contents of the <a href="/pages/JO2Tq0NEN7FsT1S6xiFA#base-definition">user.base resource definition</a></p>         |
| dataset     | <p><strong>object</strong><br>The dataset for which this access maps to. Will contain the contents of the <a href="/pages/-LztdIp8_7QkyaSUOODw#base-definition">dataset.base resource definition</a>.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/resource-definitions/access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
